<!doctype html>
<html
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        layout:decorator="layouts/cms">
<head>
</head>
<body>
<th:block layout:fragment="sidebar" th:include="fragments/cms::sidebar('academy')"/>
<th:block layout:fragment="navigation"
          th:include="fragments/cms::navigation(${'Academy: ' + skill.code + ' test content'})"/>

<div layout:fragment="content" class="content academy">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-8">
                <div class="card card-plain">
                    <div class="content table-responsive table-full-width">

                        <th:block th:include="fragments/cms::notification(${status}, '/cms/academy')"/>

                        <form method="post" th:href="${'/cms/academy/' + skill.id + '/test'}">
                            <div class="form-group">
                                <label>Locale*</label>
                                <select class="form-control" name="locale">
                                    <option th:each="supported: ${supported_locale}"
                                            th:value="${supported}"
                                            th:text="${supported}"
                                            th:selected="${supported == locale}"></option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>video title*</label>
                                <input type="text"
                                       name="videoTitle"
                                       class="form-control"
                                       th:value="${T(tbt.app.common.util.I18nUtils).get(test?.videoTitle, locale)}"/>
                            </div>

                            <div class="form-group">
                                <label>expected time*</label>
                                <select class="form-control" name="expectedTime">
                                    <option value=""></option>
                                    <option value="5" th:selected="${test?.expectedTime?.toString() == '5'}">5 min
                                    </option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>requirements*</label>
                                <textarea name="requirements"
                                          class="form-control"
                                          style="height: 100px"
                                          th:text="${T(tbt.app.common.util.I18nUtils).get(test?.requirements, locale)}">
                                </textarea>
                            </div>

                            <div class="form-group">
                                <label>test explanation*</label>
                                <textarea name="testExplanation"
                                          class="form-control"
                                          style="height: 100px"
                                          th:text="${T(tbt.app.common.util.I18nUtils).get(test?.testExplanation, locale)}">
                                </textarea>
                            </div>

                            <div class="form-group">
                                <label>video explanation*</label>
                                <textarea name="videoExplanation"
                                          class="form-control"
                                          style="height: 100px"
                                          th:text="${T(tbt.app.common.util.I18nUtils).get(test?.videoExplanation, locale)}">
                                </textarea>
                            </div>

                            <div class="form-group">
                                <label>score calculation*</label>
                                <textarea name="scoreCalculation"
                                          class="form-control"
                                          style="height: 100px"
                                          th:text="${T(tbt.app.common.util.I18nUtils).get(test?.scoreCalculation, locale)}">
                                </textarea>
                            </div>

                            <div class="form-group">
                                <label>explanation video id*</label>
                                <input type="text"
                                       name="explanationVideoId"
                                       class="form-control"
                                       th:value="${test?.explanationVideoId}"/>
                            </div>

                            <div class="form-group explanation-image">
                                <label>explanation image*</label>
                                <div class="scene-wrapper">
                                    <div class="scene">
                                        <div th:each="test_image:${supported_test_image}">
                                            <label>
                                                <input type="radio" name="explanationImageId"
                                                       th:value="${test_image}"
                                                       th:checked="${test?.explanationImageId?.toString() == test_image?.toString()}"/>
                                                <img th:src="${'/images/academy/test/Test - ID ' + test_image + '.jpg'}"/>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <button type="submit" class="btn btn-info btn-fill pull-right">Save</button>
                            <a href="/cms/academy" type="submit" class="btn btn-fill pull-left">Cancel</a>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

</body>
</html>
